package com.unicomg.testhivesdk

import androidx.appcompat.app.AppCompatActivity
import android.os.Bundle
import android.widget.Button
import android.widget.EditText
import android.widget.Toast
import com.google.android.material.button.MaterialButton
import com.istnetworks.hivesdk.data.repository.HiveSDKRepositoryImpl
import com.istnetworks.hivesdk.data.utils.Preferences
import com.istnetworks.hivesdk.presentation.SurveyActivity
import kotlinx.coroutines.CoroutineScope
import kotlinx.coroutines.Dispatchers
import kotlinx.coroutines.launch
import kotlinx.coroutines.withContext

class MainActivity : AppCompatActivity() {
    private lateinit var edtInvitationCode : EditText
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_main)
        val button = findViewById<Button>(R.id.button)
        val submitInvitation = findViewById<MaterialButton>(R.id.btn_submit_invitation)
        edtInvitationCode = findViewById(R.id.edt_invitation_code)
        button.setOnClickListener {
            SurveyActivity.startSurvey(this,"InAppUser","InApp2021")
        }

        submitInvitation.setOnClickListener {
            if (!checkInvitationLink())
            {
                CoroutineScope(Dispatchers.IO).launch {
                    try {
                        HiveSDKRepositoryImpl(sharedPref = Preferences(this@MainActivity)).submitInvitationCode(edtInvitationCode.text.toString())
                    }catch (e : NotImplementedError){
                        withContext(Dispatchers.Main) {
                            Toast.makeText(
                                this@MainActivity,
                                "This feature not available yet",
                                Toast.LENGTH_SHORT
                            ).show()
                        }
                    }
                }
            }
        }

    }

    private fun checkInvitationLink():Boolean = edtInvitationCode.text.toString().isNullOrEmpty()
}