package com.istnetworks.hivesdk.presentation.introAndThankYou

import android.os.Bundle
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import com.istnetworks.hivesdk.R
import com.istnetworks.hivesdk.data.models.response.styles.ThankyouMessage
import com.istnetworks.hivesdk.data.utils.extensions.onClick
import com.istnetworks.hivesdk.databinding.FragmentThankYouBinding
import com.istnetworks.hivesdk.presentation.BaseQuestionFragment
import com.istnetworks.hivesdk.presentation.surveyExtension.thankYouSubTitleStyle
import com.istnetworks.hivesdk.presentation.surveyExtension.thankYouTitleStyle
import com.squareup.picasso.Picasso

class ThankYouFragment : BaseQuestionFragment() {
    private val thankYouStyle : ThankyouMessage by lazy{ viewModel.getSurveyTheme()?.thankyouMessage!!}
    private lateinit var binding : FragmentThankYouBinding

    override fun onCreateView(
        inflater: LayoutInflater, container: ViewGroup?,
        savedInstanceState: Bundle?
    ): View? {
        binding = FragmentThankYouBinding.inflate(inflater,container,false)
        stylingViews()
        addValuesToViews()
        attachActionToClick()
        return binding.root
    }
    private fun stylingViews() {
        binding.hveHelloTitle.thankYouTitleStyle(thankYouStyle.titleStyle)
        binding.hveHelloSubtitle.thankYouSubTitleStyle(thankYouStyle.subTitleStyle)
    }

    private fun attachActionToClick(){
        binding.hveIvClose.onClick {
            requireActivity().finish()
        }
    }

    private fun addValuesToViews(){
        binding.hveHelloTitle.text = thankYouStyle.title
        binding.hveHelloSubtitle.text= thankYouStyle.subTitle
        binding.hveThankYouLogo.setImageResource(getThankYouLogo())
        Picasso.get().load(viewModel.getSurveyTheme()?.surveyLogoStyle?.uRL).into(binding.hveIstLogo)
    }

    private fun getThankYouLogo() =
        when (thankYouStyle.templateID) {
            "Thankyou_01" -> R.drawable.thankyou_01
            "Thankyou_02" -> R.drawable.thankyou_02
            "Thankyou_03" -> R.drawable.thankyou_03
            "Thankyou_04" -> R.drawable.thankyou_04
            "Thankyou_05" -> R.drawable.thankyou_05
            "Thankyou_06" -> R.drawable.thankyou_06
            else -> R.drawable.thankyou_01
        }


    companion object {
        @JvmStatic
        fun newInstance() =  ThankYouFragment()
    }
}