package com.istnetworks.hivesdk.presentation.rating

import android.content.Context
import android.graphics.Color
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.widget.TextView
import androidx.core.content.ContextCompat
import androidx.recyclerview.widget.RecyclerView
import com.istnetworks.hivesdk.R
import com.istnetworks.hivesdk.data.utils.extensions.hide
import com.istnetworks.hivesdk.data.utils.extensions.show


class UnderLineAdapter(private val context: Context,private val list: List<String>,
private val focus_color:String) : RecyclerView.Adapter<VH>() {
    var selectedPosition: Int = -1
    override fun onCreateViewHolder(parentView: ViewGroup, p1: Int): VH {
        return LayoutInflater
            .from(parentView.context)
            .inflate(R.layout.rating_under_line_item, parentView, false)
            .let { VH(it) }
    }

    override fun onBindViewHolder(viewHolder: VH, position: Int) {
        viewHolder.tvNumber.text = list[position]
        if (selectedPosition == position) {
            viewHolder.tvNumber.setTextColor(Color.parseColor("#$focus_color"))
            viewHolder.viewLine.setBackgroundColor(Color.parseColor("#$focus_color"))
            viewHolder.viewLine.show()
        }else{
            viewHolder.tvNumber.setTextColor(ContextCompat.getColor(context,R.color.darker_grey))
            viewHolder.viewLine.hide()
        }
    }

    override fun getItemCount() = list.size

    fun selectedPosition(selectedPosition: Int) {
        this.selectedPosition = selectedPosition - 1
        notifyDataSetChanged()
    }
}

class VH(private val view: View) :
    RecyclerView.ViewHolder(view) {

    val tvNumber by lazy { view.findViewById<TextView>(R.id.hve_rating_tv) }
    val viewLine by lazy { view.findViewById<View>(R.id.hve_under_line_rating_line) }


}


