package com.istnetworks.hivesdk.presentation.viewmodel.factory
import androidx.lifecycle.ViewModel
import androidx.lifecycle.ViewModelProvider
import com.istnetworks.hivesdk.data.repository.HiveSDKRepository
import com.istnetworks.hivesdk.domain.usecases.SkipLogicHandler
import com.istnetworks.hivesdk.domain.usecases.Validator
import com.istnetworks.hivesdk.presentation.viewmodel.HiveSDKViewModel

class HiveSDKViewModelFactory(
    private val repo: HiveSDKRepository
) :
    ViewModelProvider.Factory {
    override fun <T : ViewModel?> create(modelClass: Class<T>): T {
        if (modelClass.isAssignableFrom(HiveSDKViewModel::class.java)) {
            return HiveSDKViewModel(repo, SkipLogicHandler(), Validator()) as T
        }
        throw IllegalArgumentException("Unknown ViewModel class")
    }
}